当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 新立得又病了!
帖子发表于 : 2007-06-24 10:51 

注册: 2007-02-10 21:14
帖子: 67
地址: The Earth
送出感谢: 0 次
接收感谢: 0 次
samba包损坏,而且更新也不行。现在新立得里面什么东西都装不了

E: /var/cache/apt/archives/samba_3.0.22-1ubuntu3.3_i386.deb: 子进程·新的 pre-removal 脚本·返回了错误号·102


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-06-24 11:41 
头像

注册: 2005-03-30 0:27
帖子: 3294
送出感谢: 0 次
接收感谢: 2
源的问题,

先清空缓存吧,
在新立德里选, 或者直接执行
代码:
sudo apt-get clean


_________________
跃过无数的时间断层,只为了在


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-06-26 6:34 

注册: 2007-02-10 21:14
帖子: 67
地址: The Earth
送出感谢: 0 次
接收感谢: 0 次
这么做了,还是有这个问题。
我用地是cn99的源阿。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-06-26 9:46 
头像

注册: 2005-03-30 0:27
帖子: 3294
送出感谢: 0 次
接收感谢: 2
那就是 cn99 的源依然有问题……

试试 shlug 的源吧,见置顶帖子


_________________
跃过无数的时间断层,只为了在


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-06-30 8:43 

注册: 2007-02-10 21:14
帖子: 67
地址: The Earth
送出感谢: 0 次
接收感谢: 0 次
晕了!把上面的列表换了一个又一个,每次都refresh一次新立得,然后重新安装sambar,折腾了好久,问题没有解决,倒是更大的麻烦来了: mousepad等都只有英文菜单,而且在其中已经不能输入中文,另外新打开的gsopcast里面的中文竟然成了方块。

万幸浏览器是在这之前打开地,还能输入中文。

各位大虾,咋办呢!!难不成要重装,那可痛苦死了,好多设置呢!!


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-06-30 11:55 
头像

注册: 2005-03-30 0:27
帖子: 3294
送出感谢: 0 次
接收感谢: 2
换了源后,先不要用新立德

直接开个终端执行

代码:
sudo apt-get update
sudo apt-get install -f


_________________
跃过无数的时间断层,只为了在


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-07-01 6:55 

注册: 2007-02-10 21:14
帖子: 67
地址: The Earth
送出感谢: 0 次
接收感谢: 0 次
唉 估计病得很重阿。还是直接贴出错信息吧:

$ sudo apt-get install -f
Reading package lists... Done
Building dependency tree... Done
Correcting dependencies... Done
The following packages will be REMOVED:
samba
0 upgraded, 0 newly installed, 1 to remove and 5 not upgraded.
Need to get 0B of archives.
After unpacking 7250kB disk space will be freed.
Do you want to continue [Y/n]? y
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "zh_CN.UTF-8",
LC_ALL = "zh_CN.UTF-8",
LANG = "zh_CN.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_ALL to default locale: No such file or directory
(Reading database ... 88417 files and directories currently installed.)
Removing samba ...
invoke-rc.d: dangling symlink: /etc/rc2.d/K09samba
dpkg: error processing samba (--remove):
subprocess pre-removal script returned error exit status 102
Errors were encountered while processing:
samba
E: Sub-process /usr/bin/dpkg returned an error code (1)


别的出了问题还可以新立得修复,可是新立得病了麻烦可就大了。


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-07-01 10:47 
头像

注册: 2005-03-30 0:27
帖子: 3294
送出感谢: 0 次
接收感谢: 2
你的 locale 和 samba 损坏了。

试试先
代码:
sudo rm /var/lib/dpkg/info/samba.p*
sudo ap-get install -f


_________________
跃过无数的时间断层,只为了在


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-07-04 6:20 

注册: 2007-02-10 21:14
帖子: 67
地址: The Earth
送出感谢: 0 次
接收感谢: 0 次
谢谢华华哦。
新立得问题基本搞定,就是还是英文显示(仅终端,开始菜单等,thunar,mousepad没问题)
论坛上到处搜索,似乎只有一个相关办法”装一个什么deb包“,搞不清楚是否有用
也暂时没找到那个包,将就英文吧。


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 新立得又病了!
帖子发表于 : 2009-11-09 12:35 
头像

注册: 2008-12-03 21:05
帖子: 76
送出感谢: 0 次
接收感谢: 0 次
8L搞定了


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 新立得又病了!
帖子发表于 : 2009-12-06 20:42 

注册: 2008-10-31 22:12
帖子: 6546
系统: 践兔
送出感谢: 18
接收感谢: 25
看样子英文是你的Glibc配置有问题,中文locale没装
代码:
localedef -i zh_CN -f UTF-8 zh_CN.UTF-8


代码:
ls /etc/rc2.d/K09samba


_________________
代码:
] ls -ld //


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 新立得又病了!
帖子发表于 : 2009-12-06 20:58 

注册: 2008-11-13 16:03
帖子: 817
送出感谢: 0 次
接收感谢: 0 次
早就该用aptitude代替新德里和apt-get了,aptitude 有命令行和文本界面,非常好用


_________________
HP ProBook4321s,I3+ATI
OS : Fedora + Debian

http://box-look.org/


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 新立得又病了!
帖子发表于 : 2009-12-07 12:58 
头像

注册: 2005-12-23 19:20
帖子: 1677
送出感谢: 0 次
接收感谢: 0 次
:em20


_________________
Kubuntu10.10& Windows 7 ultimate
Acer 4738ZG
Intel PM dual core P6100 2.00G
4G DDR1333
ATI Mobility Radeon HD5470
750G HDD
14.0 WXGA 1366×768


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译